# stuff to be implemented externally:
Source10: kmodtool
%define	kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.20-1.2948.fc6}

%define kmod_name rt61
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

%define cvs 20070502
%define debug_package %{nil}

Name:		%{kmod_name}-kmod
Version:	1.1.0.cvs%cvs
Release:	1.%(echo %{kverrel} | tr - _)
Summary:	Kernel module for RT61 wireless devices 
Group:		System Environment/Kernel
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt61-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt61-cvs-%{cvs}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	sharutils
# ppc version may be very buggy
#ExclusiveArch:	i585 i686 x86_64


%description
This package contains the Ralink rt61 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt61 chipsets.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -n %{name}-%{cvs} 
for kvariant in %{kvariants} ; do
	cp -a rt61-cvs-%{cvs} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
#ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant/Module
	make 					\
	KERNDIR="%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}" 			\
	KERNELRELEASE=%{kverrel}${kvariant}	\
	MODDIR=/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
cd ..
cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    pushd _kmod_build_$kvariant/Module
install -m 644 rt61.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    popd
done


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May  2 2007 kwizart < kwizart at gmail.com > - 1.1.0.cvs20070502-1
- Update to 20070502

* Wed Apr 25 2007 kwizart < kwizart at gmail.com > - 1.1.0.cvs20070425-1
- Update to 2007042504

* Fri Mar 23 2007 kwizart < kwizart at gmail.com > - 1.2.2.cvs20070323-1
- Update to 2007032315

* Tue Mar  6 2007 kwizart < kwizart at gmail.com > - 1.2.2.cvs20070306-1
- Update to 20070306

* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 1.2.2.cvs20070113-1
- Update ot 20070113

* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs20061120-5.fc6
- Update to 20061120.

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Requires RutilT.
- inital release.
